\RequirePackage{ifthen}
\provideboolean{includeGitlabSpecificSlides}
\provideboolean{includeGithubSpecificSlides}
\provideboolean{includeJenkinsSpecificSlides}
\provideboolean{includeCDashSpecificSlides}


\ifthenelse{\boolean{includeGitlabSpecificSlides} \OR \boolean{includeGithubSpecificSlides} \OR \boolean{includeJenkinsSpecificSlides} \OR \boolean{includeCDashSpecificSlides} }{
		
		\newboolean{includeSpecificSlides}
		\setboolean{includeSpecificSlides}{true}
	}
	{
		\newboolean{includeSpecificSlides}
		\setboolean{includeSpecificSlides}{false}
	}

\documentclass[t,9pt,table]{beamer}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
%\usepackage[table]{xcolor}
%\usepackage{colortbl} % for cell colors
\usepackage{graphicx}
\usepackage{grffile}
\usepackage{longtable}
\usepackage{wrapfig}
\usepackage{rotating}
\usepackage[normalem]{ulem}
\usepackage{amsmath}
\usepackage{textcomp}
\usepackage{amssymb}
\usepackage{capt-of}
\usepackage{hyperref}
\usepackage{epigraph} 
\usepackage{tikz}

\usepackage{booktabs, multirow} % for borders and merged ranges
\usepackage{soul}% for underlines

\usepackage{hhline} % for nicer table

\usetikzlibrary{positioning, shadows.blur, fit, backgrounds, shapes, calc}
\input{config_1.tex} % before \begin{document}
\hypersetup{colorlinks=true,linkcolor=blue}
\definecolor{codebg}{rgb}{0.96,0.96,0.96}
\usepackage{minted}
%\newminted{yaml}{fontsize=\tiny, bgcolor=codebg, linenos=true, baselinestretch=1}
\usetheme{default}
\author{C. Deltel, E. Poiseau, M. Simonin, D. Vojtisek}
\institute[]{\\
\medskip
\textit{SED-Rennes Inria}
}
\date{May 18, 2022}
\title{CI/CD Course}
\hypersetup{
 pdfauthor={Charles Deltel, Eric Poiseau, Matthieu Simonin, Didier Vojtisek},
 pdftitle={CI/CD Course},
 pdfkeywords={},
 pdfsubject={},
 pdflang={English}}
 
 
\newcommand{\includeGitlab}[1]{
    \ifthenelse{\boolean{includeGitlabSpecificSlides}}{
        \input{gitlab/#1}
    	}
    	{}%else
}

\newcommand{\includeGithub}[1]{
    \ifthenelse{\boolean{includeGithubSpecificSlides}}{
        \input{github/#1}
    	}
    	{}%else
}

\newcommand{\includeJenkins}[1]{
    \ifthenelse{\boolean{includeJenkinsSpecificSlides}}{
        \input{jenkins/#1}
    	}
    	{}%else
}

\newcommand{\includeCDash}[1]{
    \ifthenelse{\boolean{includeCDashSpecificSlides}}{
        \input{cdash/#1}
    	}
    	{}%else
}
 
\begin{document}

% colour alternating tables, start alternating on line 2, colour for odd row, colour for even rows
%\rowcolors{2}{green!80!yellow!50}{green!70!yellow!40} 

\maketitle
\begin{frame}{Outline}
\begin{multicols}{2}
\tableofcontents
\end{multicols}
\end{frame}

\input{config_2.tex} % after \begin{document}

\input{00-sed-service.tex}

\input{10-intro.tex}

\input{20-ci-cd-services.tex}

\input{25-major-differences.tex}

\input{30-basic-conf.tex}

\input{40-improved-output.tex}

\input{50-security.tex}

\input{60-best-pratices.tex}

\input{70-conclusion.tex}

\end{document}
